# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TOperationState

Packages that use TOperationState
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TOperationState in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TOperationState in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TOperationState`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TOperationState
Modifier and Type
Field
Description
`TOperationState`
TGetOperationStatusResp.`operationState`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TOperationState
Modifier and Type
Method
Description
`static TOperationState`
TOperationState.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TOperationState`
TGetOperationStatusResp.`getOperationState()`
`static TOperationState`
TOperationState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TOperationState[]`
TOperationState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOperationState
Modifier and Type
Method
Description
`TGetOperationStatusResp`
TGetOperationStatusResp.`setOperationState(TOperationState operationState)`